<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Contact;
use Illuminate\Support\Facades\Mail;
use App\Mail\ContactMail;
use Illuminate\Support\Facades\Config;

class ContactController extends Controller
{
    public function showForm()
    {
        return view('contacts');
    }

    public function submitForm(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'phone_number' => 'nullable|string|max:20',
            'comments' => 'required|string',
        ]);

        $contact = Contact::create($validatedData);

        $adminEmail = Config::get('mail.from.address');
        Mail::to($adminEmail)->send(new ContactMail($contact));

        return redirect()->route('contact.form')->with('success', 'Your message has been submitted successfully!');
    }
}
