<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\Contact;

class ContactMail extends Mailable
{
    use Queueable, SerializesModels;

    public $contact;

    public function __construct(Contact $contact)
    {
        $this->contact = $contact;
    }

    public function build()
    {
        return $this->view('emails.contact')->with([
            'name' => $this->contact->name,
            'email' => $this->contact->email,
            'phone_number' => $this->contact->phone_number,
            'comments' => $this->contact->comments,
        ]);
    }
}
