<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;
use MattDaneshvar\Survey\Models\Entry;
use Barryvdh\DomPDF\Facade\PDF as PDF;

class SurveyResultsMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     */

    
     public $pdf;

     public function __construct($pdf)
     {
         $this->pdf = $pdf;
     }
 
     public function build()
     {
         return $this->view('emails.survey_results')
                     ->attachData($this->pdf->output(), 'survey_results.pdf', [
                         'mime' => 'application/pdf',
                     ]);
     }
}
