<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use MattDaneshvar\Survey\Models\Survey;

class SurveySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $survey = Survey::create(['name' => 'PTSD survey','settings' => ['accept-guest-entries' => true]]);

        $survey->questions()->create([
            'content' => 'Repeating, disturbing memories, thougghts or images of stressful experience from the past.',
            'type'=>'radio',
            'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        
         ]);
        
        $survey->questions()->create([
            'content'=>'Repeated, disturbing dreams of a stressful experience from the past',
            'type'=>'radio',
            'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Suddenly acting or feeling as if a stressful experience were happening again (as if you were reliving it).',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling very upset when something reminded you of a stressful experience from the past',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling very upset when something reminded you of a stressful experience from the past',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Avoiding thinking about or talking about a stressful experience from the past or avoiding having feelings 
        related to it.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Avoiding activities or situations because they reminded you of a stressful experience from the past.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Trouble remembering important parts of a stressful experience from the past.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Loss of interest in activities that you used to enjoy.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling distant or cut off from other people.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling emotionally numb or being unable to have loving feelings for those close to you.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling as if your future will somehow be cut short.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Trouble falling or staying asleep.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling irritable or having angry outbursts.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Having difficulty concentrating.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Being "super-alert" or watchful or on guard.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
        $survey->questions()->create(['content'=>'Feeling jumpy or easily startled.',
        'type'=>'radio',
        'options' => [
                1 => 'Not at all',
                2 => 'A little bit',
                3 => 'Quite often',
                4 => 'Moderately',
                5 => 'Quite a bit'
            ]
        ]);
    }
}
