@extends('layout')

@section('content')
<link href="css/index.css" rel="stylesheet">
@if(session('login_failed'))
<div class="custom-modal" id="customAlert">
    <div class="modal-content">
        <span class="close-btn" onclick="closeCustomAlert()">&times;</span>
        <p class="alert alert-danger">{{ session('login_failed') }}</p>
    </div>
</div>

<script>
    // Function to show the custom alert modal
    function showCustomAlert() {
        document.getElementById('customAlert').style.display = 'flex';
    }

    // Function to close the custom alert modal
    function closeCustomAlert() {
        document.getElementById('customAlert').style.display = 'none';
    }
    </script>
    @endif

@if(session('registration_success'))
    <div class="custom-modal" id="registrationAlert">
        <div class="modal-content">
            <span class="close-btn" onclick="closeRegistrationAlert()">&times;</span>
            <p class="alert alert-primary">{{ session('registration_success') }}</p>
        </div>
    </div>

    <script>
        // Function to show the registration alert modal
        function showRegistrationAlert() {
            document.getElementById('registrationAlert').style.display = 'flex';
        }

        // Function to close the registration alert modal
        function closeRegistrationAlert() {
            document.getElementById('registrationAlert').style.display = 'none';
        }

        // Automatically show the registration alert modal
        showRegistrationAlert();
    </script>
    @endif

    <section>
        <div class="form-box">
            <div class="form-value">
                <form action="{{ route('login2.post') }}" method="POST">
                    @csrf
                    <h2>Login</h2>
                    <div class="inputbox">
                        <ion-icon name="mail-outline"></ion-icon>
                        <input type="email" id="email_address" name="email" autocomplete="off" required autofocus>
                        <label for="">Email</label>
                        @if ($errors->has('email'))
                        <span class="text-danger">{{ $errors->first('email') }}</span>
                        @endif
                    </div>
                    <div class="inputbox">
                        <ion-icon name="lock-closed-outline"></ion-icon>
                        <input type="password" id="password" name="password" autocomplete="off" required>
                        <label for="">Password</label>
                        @if ($errors->has('password'))
                        <span class="text-danger">{{ $errors->first('password') }}</span>
                        @endif
                    </div>
                    <div class="forget">
                        <label for=""><a href="{{ route('forgotpassword') }}">Forget Password</a></label>
                    </div>
                    <button type="submit">Log in</button>
                    <div class="register">
                        <p>Don't have an account <a href="{{ route('reg2') }}">Register</a></p>
                    </div>
                </form>
            </div>
        </div>
    </section>

    <script src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
@endsection
