@extends('layout')

@section('content')
<link href="css/landing.css" rel="stylesheet">
<div class="header-cont height-600">
    <div class="header-container"   styles="margin-top:3em"><br><br><br><br>
        <h1 class="text-black display-4" style="font-family:'Lucida Console','Courier New','monospace';">How Does Someone Get Triggered?</h1>
        <div>
            <h5 class="text-black short-description display-5 p-2" style="font-family:'Lucida Console','Courier New','monospace';">HOW DO FLASHBACKS WORKS</h5>
        </div>
    </div>
</div>
    <article class="contents">
        <section id="intro">
            <p>
            <h2><b>Types of Trauma</b></h2>
            <h4><b>Disasters and Terrorism</b></h4>
            <h5>Resources for Survivors and Sudden Trauma</h5>

            <p>After a disaster, you are likely to do better if you feel — or are helped to feel — safe, connected to
                others, and calm. Survivors who are still having
                trouble weeks after the disaster may need further help.Sudden traumatic events of disaster or mass violence
                can lead to injury, death, and
                psychological distress. Events in the media can also trigger reminders to past events. This page links to
                information to help survivors and those
                affected deal with stresses that can come from sudden trauma.</p>

            <h5>Help for Survivors in the Aftermath of Disaster and Mass Violence</h5>

            <p>The majority of disaster-affected individuals are likely to do better if they feel — or are helped to feel —
                safe, empowered to handle the post-disaster
                context, connected to others, and calmer. Those who are optimistic or hopeful also tend to do better.For
                those who do need help, most can get
                back on their feet with education, practical help, and simple supportive actions called Psychological First
                Aid (PFA). Yet if someone is still having
                trouble weeks after the disaster, he or she may need further assistance.</p>

            <h5>Risk and Resilience Factors</h5>

            </p>Every year, millions of people are affected by both human-caused and natural disasters. Disasters may be
            explosions, earthquakes, floods,
            hurricanes, tornados, or fires. In a disaster, you face the danger of death or physical injury. You may also
            lose your home, possessions, and
            community. Such stressors place you at risk for emotional and physical health problems.</p>

            <h5>Media Coverage of Traumatic Events</h5>

            <p>Many people find it hard to resist news of traumatic events, such as disasters and terrorist attacks. As
                awful as it is to watch and read about,
                many still cannot turn away. Why is this kind of news so hard to resist? Some say it is because people are
                trying to inform themselves to be
                prepared in case of future disaster or attacks. Others say that people are watching and reading news in an
                effort to understand and process the
                event. Still others say the media is trying to draw you in with exciting images almost like those from an
                action movie. Whatever the reason, we
                need to understand the effects that this type of news exposure may have. Children in Northern Nigeria have
                increased PTSD symptoms after
                viewing gruesome televised images of violence and death resulting from Boko Haram activities.</p>

            <h5>Terrorist Attacks and Children</h5>

            <p>Children may learn about a terrorist attack in a number of different ways. They may see or go through the
                event themselves. They may see or hear

                about it on TV, from other people at school, or from adults talking about the event.</p>

            <h4><b>Sexual Assault</b></h4>

            <p>Sexual assault is defined as any sort of sexual activity between two or more people in which one of the
                people is involved against their will.</p>

            <h5>Military Sexual Trauma</h5>

            <p>Military sexual trauma, or MST, is the term used to refer to experiences of sexual assault or repeated,
                threatening sexual harassment that a
                Veteran experienced during his or her military service.</p>

            <h5>Females</h5>

            <p>Estimates vary, but studies suggest that about 13% of women have experienced a sexual assault at some time
                during their lives. Estimates for
                ‘women experiencing child sexual abuse are higher, with 27% of women reporting this experience. In some
                samples (e.g., Veterans and current
                military), these rates tend to be higher.</p>

            <h5>Males</h5>

            <p>At least 1 out of every 10 (or 10%) of men in our country have suffered from trauma as a result of sexual
                assault. Like women, men who
                experience sexual assault may suffer from depression, post traumatic stress disorder (PTSD), and other
                emotional problems as a result. However,
                because men and women have different life experiences due to their different gender roles, emotional
                symptoms following trauma can look
                different in men than they do in women.</p>

            <h5>Children</h5>

            <p>Child sexual abuse often involves body contact. This could include sexual kissing, touching, and oral, anal,
                or vaginal sex. Not all sexual abuse
                involves body contact, though. Showing private parts (“flashing”), forcing children to watch pornography,
                verbal pressure for sex, and exploiting
                children as prostitutes or for pornography can be sexual abuse as well.</p>

            <h5>Rape of Women in a War Zone</h5>

            <p>A nation is not conquered until the women’s hearts lay on the ground.” — Cheyenne Indian saying

                During war, brutal crimes such as rape are often committed against civilian women. Rape occurs in areas
                under attack and in refugee camps.</p>

            <h4><b>Violence</b></h4>
            <h5>Community Violence: Effects on Children and Teens</h5>
            <p>Community violence includes many events. It might be a stranger using physical threat or direct violence to
                take something or hurt someone. It
                can also be violence between family members, close partners, or peers. These events may include cruel acts
                such as being shot, raped, stabbed,
                or beaten.</p>

            <p>Most of the attention from media and research is on community violence that involves adults. However, many
                children and teens face violence in
                their neighbourhoods and schools. Such violence can have effects on children.</p>

            <h5>Intimate Partner Violence (IPV)</h5>

            <p>This refers specifically to violence and aggression between intimate partners. IPV can include physical,
                sexual or psychological abuse or stalking.

                Acts of IPV range in how often they occur or how violent they are. It can happen to women or men who have
                intimate relationships with women,

                men or both. It can happen no matter your age, income, race, ethnicity, culture, religion, or disability.
            </p>

            <h4>War and Combat</h4>

            <p>During war or conflict, military service members and civilians are exposed to a number of potentially
                traumatic events. This exposure can increase their
                chances of having PTSD or other mental health problems..
            <p>
            <h5>Combat Exposure</h5>

            <p>Stressors faced by military service members are exposed to a number of potentially traumatic events. Find out
                more about stressors, and how the effects of military service can affect mental health.
            <p>

        </section>
    </article>
@endsection
