<!-- resources/views/contact.blade.php -->

@extends('layout')

@section('content')
<link href="css/contacts.css" rel="stylesheet">
<div class="contact-container">
    <h2>Contact Us</h2>

    @if(session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <form action="{{ route('contact.submit') }}" method="post">
        @csrf
        <div class="form-group" style="padding-top: 30px">
            <label for="name">Name:</label>
            <input type="text" name="name" class="form-control" required>
        </div>

        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" name="email" class="form-control" required>
        </div>

        <div class="form-group">
            <label for="phone_number">Phone Number:</label>
            <input type="text" name="phone_number" class="form-control">
        </div>

        <div class="form-group">
            <label for="comments">Comments:</label>
            <textarea name="comments" class="form-control" rows="4" required></textarea>
        </div>

        <button type="submit" class="btn btn-primary">Submit</button>
    </form>

    <!-- Additional Information Section -->
    <div class="additional-info">
        <h3>Why Contact Us?</h3>
        <p>We are here to assist you with any inquiries or concerns you may have. Whether you need help with our services or want to provide feedback, feel free to reach out to us.</p>
    </div>
</div>
@endsection
