@extends('layout')

@section('content')
<link href="../css/feedback.css" rel="stylesheet">
<div class="feedcont">
<div class="feedback-container">
    <h2>FeedBack</h2>

    @if(session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <form action="{{ route('feedback.submit') }}" method="post">
        @csrf
        <div class="form-group" style="padding-top: 30px">
            <label for="name">Name:</label>
            <input type="text" name="name" class="form-control" required>
            @error('name')
                <div class="text-danger">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" name="email" class="form-control" required>
            @error('email')
                <div class="text-danger">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="phone_number">Phone Number:</label>
            <input type="text" name="phone_number" class="form-control">
            @error('phone_number')
                <div class="text-danger">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="experience">How was your experience:</label>
            <div>
                <input type="radio" name="experience" value="good" id="good">
                <label for="good">I had a Good Experience</label>
            </div>
            <div>
                <input type="radio" name="experience" value="bad" id="bad">
                <label for="bad">I had a disappointing experience</label>
            </div>
            @error('experience')
                <div class="text-danger">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="comments">Comments:</label>
            <textarea name="comments" class="form-control" rows="4" required></textarea>
            @error('comments')
                <div class="text-danger">{{ $message }}</div>
            @enderror
        </div>

        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>
</div>
@endsection
