<!-- resources/views/pdf/survey_results.blade.php -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Survey Results</title>
</head>
<body>
    <h2>Survey Results</h2>

    @if(isset($entry))
        <p>Survey Date: {{ $entry->created_at->format('Y-m-d H:i:s') }}</p>
        <p>Total Points: {{ $temp['user_result'] }}</p>

        <!-- Add score interpretation based on the total points -->
        <h3>Survey Results:</h3>
        <p>
            According to our Survey, there are <b>
            @if($temp['user_result'] >= 0 && $temp['user_result'] <= 16)
                No symptoms of PTSD.
            @elseif($temp['user_result'] >= 17 && $temp['user_result'] <= 20)
                No to minimum symptoms of PTSD.
            @elseif($temp['user_result'] >= 21 && $temp['user_result'] <= 29)
                Mild symptoms of PTSD.
            @elseif($temp['user_result'] >= 30 && $temp['user_result'] <= 49)
                Moderate symptoms of PTSD.
            @elseif($temp['user_result'] >= 50)
                Severe symptoms of PTSD.
            @else
                Invalid score.
            @endif
            </b>
        </p>

        <!-- User Information -->
        <h3>User Information</h3>
        <p>Name: {{ $entry->participant->first_name . ' ' . $entry->participant->last_name }}</p>
        <p>Gender: {{ $entry->participant->gender }}</p>
        <p>Email: {{ $entry->participant->email }}</p>
        <p>Phone Number: {{ $entry->participant->phone_number }}</p>

        <!-- Answers Table -->
        <!--<table>-->
        <!--    <thead>-->
        <!--        <tr>-->
        <!--            <th>Question</th>-->
        <!--            <th>Answer</th>-->
        <!--        </tr>-->
        <!--    </thead>-->
        <!--    <tbody>-->
        <!--        @foreach($entry->answers as $answer)-->
        <!--            <tr>-->
        <!--                <td>{{ $answer->question->content }}</td>-->
        <!--                <td>{{$answer->value }}</td>-->
        <!--            </tr>-->
        <!--        @endforeach-->
        <!--    </tbody>-->
        <!--</table> -->
        <p>For your reference:</p>
        <P>'Not at all' => 1</p>
         <p>   'A little bit' => 2</p>
          <p>  'Quite often' => 3</p>
         <p>   'Moderately' => 4</p>
         <p>   'Quite a bit' => 5</p>
    @else
        <p>No survey results available.</p>
    @endif
</body>
</html>
