@extends('layout')

@section('content')
    <link href="css/surveyresults.css" rel="stylesheet">

    <div class="header-cont height-600">
        <div class="header-container">
            <h1 class="text-black display-4">Post-Traumatic Stress Disorder (PTSD) </h1>
            <div>
                <h4 class="text-black short-description display-5 p-4">PTSD is a mental health
                    condition that's
                    triggered by a terrifying event — either experiencing it or witnessing it. </h4>
            </div>
            <div class="survey_btn_container">
                <a href="{{ route('questionnaire') }}"><button type="button" class="btn survey_btn">
                        Start Test
                    </button></a>
            </div>
        </div>
    </div>
    <div class="survey-results">
        <h2>PTSD Assessment Results</h2>

        @if($previousSurveys->isEmpty())
            <p>No survey results available.</p>
        @else
            <table>
                <thead>
                    <tr>
                        <th>Assessment Date</th>
                        <th>Result</th>
                        <th>Download</th>
                        <th>Email</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($previousSurveys as $survey)
                        <tr @if($loop->first) class="recent-survey" @endif>
                            <td>{{ $survey->created_at->format('Y-m-d H:i:s') }}</td>
                            <td>@if($temp[$survey['id']] >= 0 && $temp[$survey['id']] <= 16)
                                No symptoms of PTSD.
                            @elseif($temp[$survey['id']] >= 17 && $temp[$survey['id']] <= 20)
                                No to minimum symptoms of PTSD.
                            @elseif($temp[$survey['id']] >= 21 && $temp[$survey['id']] <= 29)
                                Mild symptoms of PTSD.
                            @elseif($temp[$survey['id']] >= 30 && $temp[$survey['id']] <= 49)
                                Moderate symptoms of PTSD.
                            @elseif($temp[$survey['id']] >= 50)
                                Severe symptoms of PTSD.
                            @else
                                Invalid score.
                            @endif</td>
                            <td style="padding:5px">
                                <a href="{{ route('download_pdf', ['entryId' => $survey->id]) }}" target="_blank">Download PDF</a>
                            </td>
                            <td><a href="{{ route('email_pdf', ['entryId' => $survey->id]) }}">Send PDF by Email</a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        @endif
    </div>

    <script src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    <script src="js/typing-animation.js"></script>
@endsection
