@extends('layout')

@section('content')
<link href="css/landing.css" rel="stylesheet">
<div class="header-cont height-600">
    <div class="header-container" styles="margin-top:10em"><br><br><br><br>
        <h1 class="text-black display-4"style="font-family:'Lucida Console','Courier New','monospace';">Treatment for PTSD</h1>
        <h5 class="text-black short-description display-5 p-2"style="font-family:'Lucida Console','Courier New','monospace';">AN ASSESSMENT OF THE EVIDENCE</h5>
        {{-- <div>
            <h4 class="text-black short-description display-5 p-2">PTSD is a mental health
                condition that's
                triggered by a terrifying event — either experiencing it or witnessing it. </h4>
        </div>
        <div class="survey_btn_container">
            <a href="{{ route('questionnaire') }}"><button type="button" class="btn survey_btn">
                    Take a Survey
                </button></a>
        </div> --}}
    </div>
</div>
    <article class="contents">
        <section id="intro">
            <p>
            <h4>PTSD Therapies</h4>

            <p>The main treatments for people with PTSD are medications, psychotherapy ("talk" therapy), or both. Everyone
                is different, and PTSD affects people differently, so a treatment that works for one person may not work for
                another. It is important for anyone with PTSD to be treated by a mental health provider who is experienced
                with PTSD. Some people with PTSD may need to try different treatments to find what works for their symptoms.
                Here are a few of the frequently recommended treatment options by renowned mental health providers.</p>

            <h4>Cognitive Behavioral Therapy (CBT)</h4>

            <p>Cognitive Behavioral Therapy (CBT) is a therapeutic approach that emphasizes the interconnectedness of
                thoughts, emotions, and actions. It aims to address present challenges and symptoms by modifying patterns of
                behavior, thoughts, and feelings that hinder optimal functioning. CBT recognizes that making changes in one
                area can positively impact other areas as well. For instance, by challenging unproductive thoughts,
                individuals can cultivate healthier behaviors and enhance their ability to regulate emotions. This therapy
                is typically administered through 12-16 sessions, either on an individual or group basis.</p>

            <h4>Cognitive processing therapy (CPT)</h4>

            </p>Cognitive processing therapy (CPT) is a form of cognitive behavioral therapy that has proven to be effective
            in alleviating PTSD symptoms that arise from various traumatic events such as child abuse, combat, rape, and
            natural disasters. The patient engages in a more structured processing of the trauma(s) by writing a detailed
            account of the most severe traumatic experience, which is then read aloud in the following session to challenge
            the pattern of avoiding thoughts and emotions associated with the trauma. The therapist employs Socratic
            questioning and other techniques to assist the patient in questioning their unhelpful thoughts about the trauma,
            such as self-blaming thoughts, in order to modify any maladaptive thinking. CPT is typically administered over a
            period of 12 sessions. </p>

            <h4>Prolonged exposure therapy </h4>

            <p>Prolonged exposure therapy is a specialized form of cognitive behavioral therapy that instructs individuals
                to gradually confront memories, emotions, and situations associated with trauma. By directly confronting
                what has been avoided, it is believed that individuals learn that these trauma-related memories and triggers
                are not harmful and can be faced without avoidance. This therapy is typically administered over a span of
                approximately three months, with individual sessions held on a weekly basis. Each session typically lasts
                between sixty to 120 minutes, allowing the individual to actively engage in exposure and effectively process
                their experiences.</p>

            <h4>Medications</h4>

            <p>Doctors typically begin treatment for PTSD by prescribing medications that target neurotransmitters. The Food
                and Drug Administration (FDA) has specifically approved paroxetine and sertraline for this purpose. However,
                since individuals respond differently to medications and each person's PTSD is unique, your doctor may
                recommend other medicines. By interacting with your doctor, you can determine the most suitable medication
                with minimal side effects for your specific symptoms and circumstances.
                <br>Make sure to communicate with your doctor about any side effects or issues you experience with the
                medications. It may be necessary to try multiple medications or a combination of them, or your doctor might
                need to adjust your dosage or medication schedule in order to find the right solution for you.
            </p>

        </section>
    </article>
@endsection
