<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\EntriesController;
use App\Http\Controllers\UserController;
use Barryvdh\DomPDF\Facade as PDF;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\LanguageController;
use App\Http\Controllers\FeedbackController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'web'], function () {
    Route::get('/', [UserController::class, 'index'])->name('landing');
    // Route::get('login', [AuthController::class, 'login'])->name('login');
    Route::get('login2', [AuthController::class, 'login2'])->name('login2');
    Route::get('reg2', [AuthController::class, 'reg2'])->name('reg2');
    Route::get('requestnewpassword', [AuthController::class, 'forgotpassword'])->name('forgotpassword');
    Route::post('post-requestnewpassword', [AuthController::class, 'postForgotPassword'])->name('forgotpassword.post');
    Route::get('password/{token}', [AuthController::class, 'resetPassword'])->name('password.reset');
    Route::post('post-password', [AuthController::class, 'postResetPassword'])->name('resetPassword.post');
    Route::post('post-login2', [AuthController::class, 'postLogin'])->name('login2.post');
    Route::get('registration', [AuthController::class, 'registration'])->name('register');
    Route::match(['get', 'post'], '/reg2/send-otp', [AuthController::class, 'sendOTP'])->name('register2.sendotp');
    Route::get('/reg2/otp', [AuthController::class, 'showOTPForm'])->name('register2.otp');
    Route::post('/reg2/verify-otp', [AuthController::class, 'verifyOTP'])->name('register2.verifyotp');
    Route::post('post-reg2', [AuthController::class, 'postRegistration'])->name('register2.post');
    Route::post( '/language-switch',[LanguageController::class, 'languageswitch'])->name('language.switch');
    Route::get('about', [AuthController::class, 'about'])->name('about');
    Route::get('cause', [AuthController::class, 'cause'])->name('cause');
    Route::get('signs', [AuthController::class, 'signs'])->name('signs');
    Route::get('treatments', [AuthController::class, 'treatments'])->name('treatments');
    Route::get('logout', [AuthController::class, 'logout'])->name('logout');

    Route::group(['middleware' => 'auth'], function () {
        Route::get('dashboard', [AuthController::class, 'dashboard']);
        Route::get('questionnaire', [AuthController::class, 'questionnaire'])->name('questionnaire');
        Route::get('survey_results', [EntriesController::class,'showSurveyResults'])->name('survey_results');
        Route::get('get-question/{questionId}', [EntriesController::class, 'getQuestion'])->name('get.question');
        Route::get('/survey-results/{entry}', [EntriesController::class, 'showSurveyResultsDetails'])->name('survey_results_details');
        Route::get('/download-pdf/{entryId}', [EntriesController::class, 'downloadPDF'])->name('download_pdf');
        Route::get('/email-pdf/{entryId}', [EntriesController::class,'emailPDF'])->name('email_pdf');
        Route::post('/contact', [ContactController::class, 'submitForm'])->name('contact.submit');
        Route::get('/contact', [ContactController::class, 'showForm'])->name('contact.form')->middleware('auth');
        Route::post('/feedback', [FeedbackController::class, 'submitForm'])->name('feedback.submit');
        Route::get('/feedback/{entry?}', [FeedbackController::class, 'showForm'])->name('feedback.form')->middleware('auth');
        // Add the questionnaire route here to include 'auth' middleware
        Route::get('questionnaire', [AuthController::class, 'questionnaire'])->name('questionnaire');
        Route::get('questionnaire', [EntriesController::class, 'create'])->name('questionnaire');
        Route::post('post-questionnaire', [EntriesController::class, 'store'])->name('questionnaire.store');
        Route::get('logout', [AuthController::class, 'logout'])->name('logout');


    });
});

Route::get('faq', [UserController::class, 'faq'])->name('faq');


// Additional routes outside the 'web' middleware group (if any)
// ...
