<!DOCTYPE html>
<html>

<head>
    <title>PTSD Web portal</title>
    
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <style type="text/css">
        @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

        *{
            box-sizing: border-box;
            margin: 0;
        }
        

        header,
        footer {
            width: 100%;
            padding: 20px 0;
            background-color: transparent;
            z-index: 1000;
            border-bottom: 0px solid rgba(255, 255, 255, 0.5);
        }

        header {
            position: fixed;
            top: 0;
            z-index: 1001; /* Updated z-index value */
    width: 100%;
    padding: 20px 0;
    background-color: transparent;
    border-bottom: 0px solid rgba(255, 255, 255, 0.2);
        }

        
        footer {
            /* margin-top: auto; */
            bottom: 0;
            background-color: rgb(0, 121, 107);
        }

        main {
            flex: 1;
        }

        .nav-container,
        {
        background-color: rgba(255, 255, 255, 0.805);
        width: 100%
        }

        body {
            margin: 0;
            font-size: 1rem;
            font-weight: 400;
            line-height: 1.6;
            color: #212529;
            text-align: left;
            background-color: #ffffff00;
        }



        .header-cont {
            padding: 4em 13em ;
            position: relative;
            margin-bottom:2em;

        }

        .header-cont::before {
            content: ' ';
            display: block;
            position: absolute;
            right: 0;
            top: 0;
            width: 100%;
            height: 100%;
            opacity: 0.7;
            background-image: url('assets/mental-health.jpg');
            background-repeat: no-repeat;
            background-position: 50% 0;
            background-size: cover;
        }

        .registration-container::before {
            content: ' ';
            display: block;
            position: absolute;
            right: 0;
            top: 0;
            background-position: center center;
            width: 100%;
            height: 100%;
            opacity: 0.5;
            /*background-image: url('assets/reg1.svg');
            background-repeat: no-repeat;
            /* background-position: 50% 0; */
            background-size: cover;
        }

        .header-container {
            position: relative;
        }
        .navbar-toggler-icon {
        color: white; /* Replace "your_desired_color" with the color you want */
    }
        .custom-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 1;
}

.modal-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    text-align: center;
    max-width: 300px; /* Set a fixed width for the square modal */
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 20px;
    cursor: pointer;
}

.success-message {
    margin-bottom: 10px;
}

.success-image {
    max-width: 100%; /* Make sure the image doesn't exceed the modal width */
    height: auto;
}


        .header-cont h1 {
            font-weight: bold;
            max-width: 50%;
            /*padding-top: 2em;*/
        }

        .height-600 {
            height: 700px;
        }

        .nav-secondary-container {
            background-color: rgb(0, 121, 107);
        }

        .navcont {
            width: 100%;
            padding: 1em 13em;
            color: #ffffff;
            background-color:#00796B;
            margin-top: -20px
        }

        .copyright-container {
            width: 100%;
        }

        .navbar-laravel {
            box-shadow: 0 2px 4px rgba(0, 0, 0, .04);
        }

        .nav-font {
            font-size: 1.3em;
        }

        .alert {
            margin-bottom: -1rem;
        }

        .survey_btn {
            background-color: #00796B;
            border: 0px solid white;
            color: white;
            border-radius: 50px;
            width: 10rem;
            height: 3rem;
        }

        .navbar-brand,
        .nav-link,
        .my-form,
        .login-form {
            font-family: Raleway, sans-serif;
        }

        .custom-toggler .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.custom-toggler.navbar-toggler {
  border: 5px solid rgb(255, 255, 255);
} 

.navbar-collapse.collapsing {
            background-color: rgb(0, 121, 107);
        }

        .nav-title {
            font-size: 2em;
        }

        .content-header-container {
            margin-top: 5em;
        }

        .center {
            text-align: center
        }

        .content-margin {
            margin: 5em 13em;
        }

        .section1 {
            display: flex;
            justify-content: space-between
        }

        .subsection1 {
            padding-top: 2em;
            max-width: 50%;
            max-height: 30%
        }

        .subsection2 {
            max-width: 40%;
            box-shadow: 5px 5px 5px 5px rgb(204, 204, 204);
        }

        .content_img {
            max-width: 100%;
            height: 100%;
            background-size: inherit;
            opacity: 1;
        }

        .card-content {
            margin: auto;
        }

        .my-form {
            padding-top: 1.5rem;
            padding-bottom: 1.5rem;
        }

        .my-form .row {
            margin-left: 0;
            margin-right: 0;
        }

        .login-container {
            display: flex;
        }

        .login-img {
            max-width: 50%;
        }

        .bg-light-orange {
            background-color: #00ac25;
        }

        .pb-6 {
            padding-bottom: 2em
        }

        .card-img {
            height: 15em
        }

        .card-body {}

        .login-form {
            margin-top: 150px;
            padding-top: 1.5rem;
            padding-bottom: 1.5rem;
            margin-bottom: 50px
        }

        #google_translate_element {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1002; /* Ensure it's above the navbar */
    background-color: transparent; /* Set to your desired background color */
}

/* Style the language dropdown */
.goog-te-combo {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 5px;
}

/* Style the language dropdown arrow */
.goog-te-combo-arrow {
    margin-top: 2px;
}

/* Style the language dropdown icon */
.goog-te-gadget-icon {
    display: none; /* Hide the translation icon */
}

/* Style the translated text */
.goog-te-banner-frame.skiptranslate {
    display: none;
}

        .login-form .row {
            margin-left: 0;
            margin-right: 0;
        }
        @media (max-width: 767px) {
    header {
        padding: 10px 0;
    }

    .section1{
        display: flex;
        flex-direction: column
    }

    .navcont {
        padding: 1em 1em;
    }

    .content-margin {
        margin: 2em 1em;
    }

    .header-container{
        max-width: 100%;
    }

    .header-cont {
        padding: 4em 1em 0;
    }

    .header-cont h1 {
        max-width: 100%;
        padding-top: 0em;
    }

    .nav-title {
        font-size: 1.2rem;
    }
}

        @media (min-width:768px) and (max-width: 1100px) {
            .header-container{
        max-width: 100%;
    }
        }
    </style>
    <script type="text/javascript">
        function googleTranslateElementInit() {
            new google.translate.TranslateElement({
                pageLanguage: 'en',
                includedLanguages: 'en,es,fr,de',
                layout: google.translate.TranslateElement.InlineLayout.SIMPLE
            }, 'google_translate_element');
        }

        // Function to set the language based on the current page
        function setLanguage() {
            var currentPage = window.location.pathname;

            // Map page paths to their respective language codes
            var languageMap = {
                '/en': 'en',
                '/es': 'es',
                '/fr': 'fr'
                // Add more mappings as needed
            };

            // Check if the current page is in the language map
            if (currentPage in languageMap) {
                // Set the language for translation
                var targetLanguage = languageMap[currentPage];
                google.translate.translatePage(targetLanguage);
            }
        }

        // Trigger setLanguage function when the page is loaded
        window.addEventListener('DOMContentLoaded', setLanguage);
    </script>
    <script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
</head>

<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-light navbar-laravel navcont">
            <div class="container">
                <a class="navbar-brand text-black nav-title" href="<?php echo e(route('landing')); ?>"
                    style="color: rgb(255, 255, 255); font-size: 1.5rem;">
                    <img width="64" height="64"
                        src="https://img.icons8.com/external-outline-kendis-lasman/64/FFFFFF/external-mental-health-energy-positive-outline-kendis-lasman.png"
                        alt="external-mental-health-energy-positive-outline-kendis-lasman" />
                    PTSD WEB PORTAL</a>
                <button class="navbar-toggler custom-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon "></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ml-auto">
                        <?php if(auth()->guard()->guest()): ?>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('landing')); ?>"
                                    style="color: white;">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link  text-black nav-font" href="<?php echo e(route('landing')); ?>#aboutus"
                                    style="color: white;">About Us</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('login2')); ?>"
                                    style="color: white;">Login</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('reg2')); ?>"
                                    style="color: white;">Register</a>
                            </li>
                              <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('faq')); ?>"
                                    style="color: white;">Faq</a>
                            </li>
                        <?php else: ?>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('landing')); ?>"
                                    style="color: white;">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('landing')); ?>#aboutus"
                                    style="color: white;">About Us</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('survey_results')); ?>"
                                    style="color: white;">Results</a>
                            </li>
                                <li class="nav-item">
                                    <a class="nav-link text-black nav-font" href="<?php echo e(route('contact.form')); ?>"
                                        style="color: white;">Contact Us</a>
                                </li>
                            <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('logout')); ?>"
                                    style="color: white;">Logout</a>
                            </li>
                              <li class="nav-item">
                                <a class="nav-link text-black nav-font" href="<?php echo e(route('faq')); ?>"
                                    style="color: white;">Faq</a>
                            </li>
                        <?php endif; ?>
                    </ul>

                </div>
                <div id="google_translate_element"></div>
            </div>
        </nav>
    </header>

    <?php echo $__env->yieldContent('content'); ?>
    <footer>
        <!-- Grid container -->
        <div class="container p-4 b-0">
            <!-- Grid row -->
            <div class="row d-flex justify-content-between">
                <!-- Grid column -->
                <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
                    <p style="color: white;">
                        Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of
                        classical Latin literature from 45 BC, making it over 2000 years old.
                        <br>
                        <span style="font-size: small;">Address: 20, New York 10010</span>
                        <span style="font-size: small;"><i class="fas fa-icon"></i></span>
                        <br>
                        <span style="font-size: small;">Phone: +1800 501 4455</span>
                        <span style="font-size: small;"><i class="fas fa-icon"></i></span>
                        <br>
                        <span style="font-size: small;">Email: info@yourdomain.com</span>
                        <span style="font-size: small;"><i class="fas fa-icon"></i></span>
                    </p>
                </div>
                <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
                    <ul class="list-unstyled">
                        <?php if(auth()->guard()->guest()): ?>
                            <li>
                                <a href="<?php echo e(route('login2')); ?>" class="text-white">Login</a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('reg2')); ?>" class="text-white">Register</a>
                            </li>
                        <?php else: ?>
                        <?php endif; ?>
                    </ul>
                </div>
                <!-- Grid column -->
            </div>
            <!-- Grid row -->
        </div>
        <!-- Grid container -->

        <!-- Copyright -->
        <div class="text-center p-3 copyright-container" style="color: white;">
            © 2023 Copyright: PTSD Web Portal
        </div>
        <!-- Copyright -->
    </footer>


</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

<!-- Bootstrap JS via CDN -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script>
    //const player = new Plyr('#player');
    $(document).ready(function () {
        $('.navbar-toggler').click(function () {
            $('.navbar-collapse').toggleClass('collapsing');
        });

        $('.navbar-collapse').on('show.bs.collapse', function () {
            $(this).addClass('collapsing');
        });

        $('.navbar-collapse').on('hide.bs.collapse', function () {
            $(this).removeClass('collapsing');
        });
        if (window.location.hash === '#aboutus') {
            // Scroll to the "About Us" section
            $('html, body').animate({
                scrollTop: $('#aboutus').offset().top
            }, 'slow');
        }
    });
</script>

</html>
<?php /**PATH C:\xampp\htdocs\ptsd v1.1\resources\views/layout.blade.php ENDPATH**/ ?>