<!-- resources/views/pdf/survey_results.blade.php -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Survey Results</title>
</head>
<body>
    <h2>Survey Results</h2>

    <?php if(isset($entry)): ?>
        <p>Survey Date: <?php echo e($entry->created_at->format('Y-m-d H:i:s')); ?></p>
        <p>Total Points: <?php echo e($temp['user_result']); ?></p>

        <!-- Add score interpretation based on the total points -->
        <h3>Survey Results:</h3>
        <p>
            According to our Survey, there are <b>
            <?php if($temp['user_result'] >= 0 && $temp['user_result'] <= 16): ?>
                No symptoms of PTSD.
            <?php elseif($temp['user_result'] >= 17 && $temp['user_result'] <= 20): ?>
                No to minimum symptoms of PTSD.
            <?php elseif($temp['user_result'] >= 21 && $temp['user_result'] <= 29): ?>
                Mild symptoms of PTSD.
            <?php elseif($temp['user_result'] >= 30 && $temp['user_result'] <= 49): ?>
                Moderate symptoms of PTSD.
            <?php elseif($temp['user_result'] >= 50): ?>
                Severe symptoms of PTSD.
            <?php else: ?>
                Invalid score.
            <?php endif; ?>
            </b>
        </p>

        <!-- User Information -->
        <h3>User Information</h3>
        <p>Name: <?php echo e($entry->participant->first_name . ' ' . $entry->participant->last_name); ?></p>
        <p>Gender: <?php echo e($entry->participant->gender); ?></p>
        <p>Email: <?php echo e($entry->participant->email); ?></p>
        <p>Phone Number: <?php echo e($entry->participant->phone_number); ?></p>

        <!-- Answers Table -->
        <!--<table>-->
        <!--    <thead>-->
        <!--        <tr>-->
        <!--            <th>Question</th>-->
        <!--            <th>Answer</th>-->
        <!--        </tr>-->
        <!--    </thead>-->
        <!--    <tbody>-->
        <!--        <?php $__currentLoopData = $entry->answers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $answer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>-->
        <!--            <tr>-->
        <!--                <td><?php echo e($answer->question->content); ?></td>-->
        <!--                <td><?php echo e($answer->value); ?></td>-->
        <!--            </tr>-->
        <!--        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
        <!--    </tbody>-->
        <!--</table> -->
        <p>For your reference:</p>
        <P>'Not at all' => 1</p>
         <p>   'A little bit' => 2</p>
          <p>  'Quite often' => 3</p>
         <p>   'Moderately' => 4</p>
         <p>   'Quite a bit' => 5</p>
    <?php else: ?>
        <p>No survey results available.</p>
    <?php endif; ?>
</body>
</html>
<?php /**PATH /home/ptsdwebp/public_html/resources/views/pdfs/survey_results.blade.php ENDPATH**/ ?>