

<?php $__env->startSection('content'); ?>
<link href="css/landing.css" rel="stylesheet">
<?php if(session('login_success')): ?>
<div class="custom-modal" id="customAlert">
    <div class="modal-content">
        <span class="close-btn" onclick="closeCustomAlert()">&times;</span>
        <p class="success-message"><?php echo e(session('login_success')); ?></p>
        <img src="path/to/success-image.png" alt="Success Image" class="success-image">
    </div>
</div>

<?php
    session()->forget('login_success');
?>
<?php endif; ?>
    <div class="header-cont height-600">
        <div class="header-container">
            <h1 class="text-black display-4">Post-Traumatic Stress Disorder (PTSD) test</h1>
            <div>
                <h4 class="text-black short-description display-5 p-4">PTSD is a mental health
                    condition that's
                    triggered by a terrifying event — either experiencing it or witnessing it. </h4>
            </div>
            <div class="survey_btn_container">
                <a href="<?php echo e(route('questionnaire')); ?>"><button type="button" class="btn survey_btn">
                        Take a Survey
                    </button></a>
            </div>
        </div>
    </div>

    <div class="content-margin section1">
        <div class="subsection1">
            <h5 class="display-4 pb-4">“There Is Light Despite All of The Darkness”</h5>
            <p class="text-justify">We are dedicated to reducing the obstacles posed by PTSD helping individuals to embrace the life they desire. We are providing reliable resources and tests to assist people to reduce the intensity of the terrifying events which is triggering them, ultimately helping them discover the relief they seek.</p>
        </div>
        <div class="subsection2">
            <img src="\assets\grp_therapy.png" alt="therapy session" class="content_img">
        </div>
    </div>



    <div class="content-margin">
        <div class="card-content">
            <div class="row">
                <div class="col-md-6 col-lg-3 mb-3" style="border:none">
                    <div class="card bg-light mb-3" style="max-width: 20rem; border:none">
                        <div class="card-header bg-light-orange text-white">Causes</div>
                        
                        <div class="card-body">
                            <h5 class="card-title">What can cause PTSD?</h5>
                            <p class="card-text">Prevention is better than cure. Know the causes of PTSD and prevent it before happening.
                            </p>
                            <a href="<?php echo e(route('about')); ?>"
                                class="card-link">Learn More</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-3 mb-3">
                    <div class="card bg-light mb-3" style="max-width: 20rem; border:none">
                        <div class="card-header bg-light-orange text-white">Triggers</div>
                        
                        <div class="card-body">
                            <h5 class="card-title">What PTSD Triggers are?</h5>
                            <p class="card-text">Triggers are stimuli or events that can evoke distressing symptoms in individuals who have experienced a traumatic event.</p>
                            <a href="<?php echo e(route('cause')); ?>"
                                class="card-link">Learn More</a>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-3" style="border:none">
                    <div class="card bg-light mb-3" style="max-width: 20rem; border:none">
                        <div class="card-header bg-light-orange text-white">Symptoms</div>
                        
                        <div class="card-body">
                            <h5 class="card-title">Signs of Post-Traumatic Stress Disorder</h5>
                            <p class="card-text">Know the signs of PTSD and cure it at an early stage
                            </p>
                            <a href="<?php echo e(route('signs')); ?>"
                                class="card-link">Learn More</a>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 mb-3">
                    <div class="card bg-light mb-3" style="max-width: 20rem; border:none">
                        <div class="card-header bg-light-orange text-white">Treatments</div>
                        
                        <div class="card-body">
                            <h5 class="card-title">There can be various types of Traumas</h5>
                            <p class="card-text">“Psychotherapies like Prolonged Exposure and Cognitive Behavioral Therapy have proven to be effective.</p>
                            <a href="<?php echo e(route('treatments')); ?>"
                                class="card-link">Learn More</a>
                        </div>
                    </div>
                </div>
                


            </div>
        </div>
        <div id="aboutus">
         <article class="contents">
            <section id="intro">

                <h2>Our Aim</h2>
                <p>This initiative is to help improve the Mental Health of Armed Forces of Nigeria personnel and Test PTSD
                    also their families by fostering Early Detection an Reporting of the signs of PTSD in Personnel by electronic system.</p>
            </section></article></div>
    </div>
    <script>
        function showCustomAlert() {
            document.getElementById('customAlert').style.display = 'flex';
        }

        // Function to close the custom alert modal
        function closeCustomAlert() {
            document.getElementById('customAlert').style.display = 'none';
        }

        // Automatically close the alert after 5 seconds (adjust as needed)
        setTimeout(closeCustomAlert, 5000);

        showCustomAlert();
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\ptsd_app\resources\views/landing.blade.php ENDPATH**/ ?>