

<?php $__env->startSection('content'); ?>
    <link href="css/surveyresults.css" rel="stylesheet">

    <div class="header-cont height-600">
        <div class="header-container">
            <h1 class="text-black display-4">Post-Traumatic Stress Disorder (PTSD) </h1>
            <div>
                <h4 class="text-black short-description display-5 p-4">PTSD is a mental health
                    condition that's
                    triggered by a terrifying event — either experiencing it or witnessing it. </h4>
            </div>
            <div class="survey_btn_container">
                <a href="<?php echo e(route('questionnaire')); ?>"><button type="button" class="btn survey_btn">
                        Start Test
                    </button></a>
            </div>
        </div>
    </div>
    <div class="survey-results">
        <h2>PTSD Assessment Results</h2>

        <?php if($previousSurveys->isEmpty()): ?>
            <p>No survey results available.</p>
        <?php else: ?>
            <table>
                <thead>
                    <tr>
                        <th>Assessment Date</th>
                        <th>Result</th>
                        <th>Download</th>
                        <th>Email</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $previousSurveys; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $survey): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr <?php if($loop->first): ?> class="recent-survey" <?php endif; ?>>
                            <td><?php echo e($survey->created_at->format('Y-m-d H:i:s')); ?></td>
                            <td><?php if($temp[$survey['id']] >= 0 && $temp[$survey['id']] <= 16): ?>
                                No symptoms of PTSD.
                            <?php elseif($temp[$survey['id']] >= 17 && $temp[$survey['id']] <= 20): ?>
                                No to minimum symptoms of PTSD.
                            <?php elseif($temp[$survey['id']] >= 21 && $temp[$survey['id']] <= 29): ?>
                                Mild symptoms of PTSD.
                            <?php elseif($temp[$survey['id']] >= 30 && $temp[$survey['id']] <= 49): ?>
                                Moderate symptoms of PTSD.
                            <?php elseif($temp[$survey['id']] >= 50): ?>
                                Severe symptoms of PTSD.
                            <?php else: ?>
                                Invalid score.
                            <?php endif; ?></td>
                            <td style="padding:5px">
                                <a href="<?php echo e(route('download_pdf', ['entryId' => $survey->id])); ?>" target="_blank">Download PDF</a>
                            </td>
                            <td><a href="<?php echo e(route('email_pdf', ['entryId' => $survey->id])); ?>">Send PDF by Email</a></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        <?php endif; ?>
    </div>

    <script src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    <script src="js/typing-animation.js"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ptsdwebp/public_html/resources/views/survey_results.blade.php ENDPATH**/ ?>